<template>
  <div v-loading="isLoading && !isLoadingMore" class="mb-message-wrapper px-2">
    <div class="flex flex-col gap-2 w-full">
      <MessagesMessageItem
        v-for="message in messages"
        :key="`${message}`"
        :message="message"
        @click="$emit('item:click', $event)"
        @click:delete="$emit('item:delete', $event)"
      >
      </MessagesMessageItem>
    </div>
    <div
      v-if="!messages.length"
      class="w-full relative h-full flex justify-center items-center"
    >
      <utils-not-found />
    </div>
  </div>
</template>

<script setup lang="ts">
import { MemberMessage } from "~~/models/message";

defineEmits<{
  (e: "item:click", message: MemberMessage): void;
  (e: "item:delete", message: MemberMessage): void;
  (e: "loadmore"): void;
}>();

defineProps<{
  messages: MemberMessage[];
  isLoading: boolean;
  isLoadingMore: boolean;
}>();
</script>

<style lang="scss">
.mb-message-wrapper {
  overflow: auto;
  height: calc(100vh - 220px);
}
</style>
